Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 382281 - sci-misc/boinc-6.12.33: boinc init script should change opts variable to use either extra_commands or extra_started_commands
Summary: sci-misc/boinc-6.12.33: boinc init script should change opts variable to use ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Science Related Packages
URL: http://sources.gentoo.org/cgi-bin/vie...
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-09-08 15:11 UTC by Martin von Gagern
Modified: 2011-10-23 18:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2011-09-08 15:11:33 UTC
# /etc/init.d/boinc stop
 * Caching service dependencies ...                     [ ok ]
 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Stopping boinc ...                                   [ ok ]

According to bug #381895 this variable was deprecated by sys-apps/openrc-0.9.x.
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2011-09-08 15:56:40 UTC
Updated, without revbump.
Comment 2 Martin von Gagern 2011-09-10 17:25:30 UTC
Judging from bug #381895 comment #1, I guess you should drop the reference to ${opts} from the assignment.

Furthermore, as attaching will only work if boinc is already running, it might be better to use extra_started_commands instead, and drop the part where boinc is started if it isn't running already.

See "man 8 runscript" for details.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2011-10-23 18:55:54 UTC
+  23 Oct 2011; Lars Wendler <polynomial-c@gentoo.org> files/boinc.init:
+  non-maintainer commit: Fixed remaining issues with opts variable deprecation
+  in init script (bug #382281).
+